#!/usr/bin/perl
#
# (C) 2001-2003
#	Domsodi Gergely	<doome@uhulinux.hu>
#	Pozsar Balazs	<pozsy@uhulinux.hu>
#
# This file is originally part of the UHU-Linux distribution.
# Distributable under GPL v2.
#

#---- pragmatic modules -------------------------------------------------------
use strict;
use warnings;

package UHU::steps;

require Exporter;
our @ISA = qw(Exporter);
our @EXPORT = qw(%steps);

#---- variables ---------------------------------------------------------------

sub ddir {
	if ($ENV{UHU_SRC}) {
		$ENV{MODULE_ROOT} . '/ui/modules/';
	} else {
		$ENV{MODULE_ROOT} . '/usr/share/uhu-installer';
	}
}

sub ldir {
	if ($ENV{UHU_SRC}) {
		$ENV{MODULE_ROOT} . '/src/modules/';
	} else {
		$ENV{MODULE_ROOT} . '/usr/lib/uhu-installer';
	}
}

our	%steps = (
		license => {
			banner  => _("Starting Installation"),
			command => ldir.'/welcome',
			next    => 'partition'
		},
		mouse_config => {
			banner  => _("Configuring Mouse"),
			command => ldir.'/mouse',
			next    => 'license'
		},
		partition => {
			banner  => _("Partitioning"),
			command => ldir.'/partition-manager',
			args    => ['-doit'],
			next    => 'package_install'
		},
		package_install => {
			banner  => _("Installing Packages"),
			command => ldir.'/package-manager',
			next    => 'grub_install'
		},
		grub_install => {
			banner  => _("Installing Boot Loader"),
			command => ldir.'/grubinstall',
			next    => 'addroot'
		},
		addroot => {
			banner  => _("Setting\nAdministrator Password"),
			command => ldir.'/addroot',
			next    => 'adduser'
		},
		adduser => {
			banner  => _("Adding Users"),
			command => ldir.'/adduser',
			next    => $ENV{FAST_INSTALL} ? 'the_end' : 'xorg_config'
		},
		xorg_config => {
			banner  => _("Configuring Graphical Interface"),
			command => '/usr/sbin/xorg-config',
			next    => 'the_end'
		},
		the_end => {
			banner  => _("Installation Finished"),
			command => ldir.'/the_end',
			next	=> 'the_end2'
		},
		the_end2 => {
			command => ldir.'/the_end2',
		}
	);	
